gr::rds::encoder Class Referenceabstract

`#include <encoder.h>`

Inheritance diagram for gr::rds::encoder:
[legend]

## Public Types

typedef std::shared_ptr< encoder > | sptr

## Public Member Functions

virtual void | set_ps (std::string ps)=0

## Static Public Member Functions

static sptr | make (unsigned char pty_locale, int pty, bool ms, std::string ps, double af1, bool tp, bool ta, int pi_country_code, int pi_coverage_area, int pi_reference_number, std::string radiotext)

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<encoder> gr::rds::encoder::sptr

## Member Function Documentation

## make()

static sptr gr::rds::encoder::make | ( | unsigned char | pty_locale,
|  | int | pty,
|  | bool | ms,
|  | std::string | ps,
|  | double | af1,
|  | bool | tp,
|  | bool | ta,
|  | int | pi_country_code,
|  | int | pi_coverage_area,
|  | int | pi_reference_number,
|  | std::string | radiotext
| ) |  |

static

## set_ps()

virtual void gr::rds::encoder::set_ps | ( | std::string | ps | ) |

pure virtual

Implemented in gr::rds::encoder_impl.

The documentation for this class was generated from the following file:

- encoder.h